/**************************************************************************
 *
 * FILE  1541.c
 * Copyright (c) 2007 Daniel Kahlin
 * Written by Daniel Kahlin <daniel@kahlin.net>
 * $Id: 1541.c,v 1.1 2007-03-31 08:34:50 tlr Exp $
 *
 * DESCRIPTION
 *   1541 Utility functions.
 *
 ******/

int track2index(float track)
{
    return (track-1)*2;
}

float index2track(int index)
{
    return index/2.0+1;
}

int num_sectors(int track)
{
    track=(track/2)+1;
    if (track >= 31) {
	return 17;
    } else if (track >= 25) {
	return 18;
    } else if (track >= 18) {
	return 19;
    }
    return 21;
}
int bit_density(int track)
{
    track=(track/2)+1;
    if (track >= 31) {
	return 0;
    } else if (track >= 25) {
	return 1;
    } else if (track >= 18) {
	return 2;
    }
    return 3;
}

/* eof */
