/**************************************************************************
 *
 * FILE  util.c
 * Copyright (c) 2007 Daniel Kahlin
 * Written by Daniel Kahlin <daniel@kahlin.net>
 * $Id: util.c,v 1.1 2007-03-31 08:18:56 tlr Exp $
 *
 * DESCRIPTION
 *   Utility functions.
 *
 ******/
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#include "global.h"

void panic(const char *str, ...)
{
    va_list args;

    fprintf(stderr, "%s: ", program_g);
    va_start(args, str);
    vfprintf(stderr, str, args);
    va_end(args);
    fputc('\n', stderr);
    exit(1);
}

/* eof */
